DooTask 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
DooTask 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
DooTask 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !
授权协议 AGPL-3.0
开发语言 PHP HTML/CSS
操作系统 跨平台
软件类型 开源软件
开源组织
地区 国产
投 递 者 白开水不加糖
适用人群 未知
收录时间 2021-12-20

软件简介

DooTask是一款轻量级的开源在线项目任务管理工具,提供各类文档协作工具、在线思维导图、在线流程图、项目管理、任务分发、即时IM,文件管理等工具。

安装程序

必须安装 Docker  Docker Compose

部署项目

# 1、克隆项目到您的本地或服务器

# 通过github克隆项目
git clone https://github.com/kuaifan/dootask.git
# 或者你也可以使用gitee
git clone https://gitee.com/aipaw/dootask.git

# 2、进入目录
cd dootask

# 3、一键构建项目
./cmd install

重置密码

# 重置默认管理员密码
./cmd repassword

更换端口

./cmd php bin/run --port=2222
./cmd up -d

停止服务

./cmd stop

# 一旦应用程序被设置,无论何时你想要启动服务器(如果它被停止)运行以下命令
./cmd start

运行命令的快捷方式

# 你可以使用以下命令来执行
./cmd artisan "your command"          // 运行 artisan 命令
./cmd php "your command"              // 运行 php 命令
./cmd nginx "your command"            // 运行 nginx 命令
./cmd redis "your command"            // 运行 redis 命令
./cmd composer "your command"         // 运行 composer 命令
./cmd supervisorctl "your command"    // 运行 supervisorctl 命令
./cmd test "your command"             // 运行 phpunit 命令
./cmd mysql "your command"            // 运行 mysql 命令 (backup: 备份数据库,recovery: 还原数据库)

NGINX 代理 SSL

# 1、Nginx 代理配置添加
proxy_set_header X-Forwarded-Host $http_host;
proxy_set_header X-Forwarded-Proto $scheme;
proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

# 2、进入项目所在目录,运行以下命令
./cmd https

升级更新

注意:在升级之前请备份好你的数据!

# 方法1:进入项目所在目录,运行以下命令
./cmd update

# (或者)方法2:如果方法1失败请使用此方法
git pull
./cmd mysql backup
./cmd uninstall
./cmd install
./cmd mysql recovery

卸载项目

# 进入项目所在目录,运行以下命令
./cmd uninstall
展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论

点击加入讨论🔥(1)
发表了资讯
04/09 07:03

DooTask v0.12.95 发布,项目任务管理工具

DooTask 是一款轻量级的开源在线项目任务管理工具,提供各类文档协作工具、在线思维导图、在线流程图、项目管理、任务分发、即时IM,文件管理等工具。 目前 DooTask 发布了 v0.12.95 版本,带来如下变更: Bugfixes 退出登录仍出现未读数的情况 部分客户端登录页面报错的问题 会员选择框偶尔出现默认值错误的情况 工作包括编辑内容不正确的问题 Performance Improvements 优化websocket连接机制 消息已完成图标布局优化 优化任务...

1
12
发表了资讯
03/25 07:01

DooTask v0.12.19 发布,在线项目任务管理工具

DooTask 是一款轻量级的开源在线项目任务管理工具,提供各类文档协作工具、在线思维导图、在线流程图、项目管理、任务分发、即时IM,文件管理等工具。 目前 DooTask 发布了 v0.12.19 版本,带来如下变更: Bugfixes 查看已发送的工作汇报,汇报对象需横向显示 所有可搜索列表在非第1页搜索时不返回第1页的问题 Public客户端打开空白的情况 修复新增项目成员无法通过邮箱搜索的问题 Performance Improvements 优化路由重复提示的...

1
11
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
发表了博客
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
发表了问答
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
Guzzle 安全漏洞
信息暴露
Guzzle是guzzlehttp个人开发者的一个 PHP HTTP 客户端,可以轻松发送 HTTP 请求并轻松与 Web 服务集成。 Guzzle存在安全漏洞。攻击者利用该漏洞通过 Authorization / Cookie Headers 绕过对 Guzzle 数据的访问限制,以便读取敏感信息。
CVE-2022-31091 MPS-2022-11121
2022-08-08 18:58
Laravel 远程代码执行漏洞
Laravel 是一个PHP的Web 应用程序框架。 Laravel 9.1.8 允许通过 Illuminate\Broadcasting\PendingBroadcast.php 中的 __destruct 和 Faker\Generator.php 中的 __call 处理恶意反序列化数据。 攻击者可利用该漏洞执行任意代码,甚至接管服务器。
CVE-2022-31279 MPS-2022-11335
2022-08-08 18:58
PSR-7 Message Implementation 输入验证错误漏洞
输入验证不恰当
PSR-7 Message Implementation是一个完整的 PSR-7 消息实现。 PSR-7 Message Implementation 1.8.3 版本及之前版本和从 2.0.0 版本到 2.1.0 版本 psr7 存在输入验证错误漏洞。攻击者可以增加新的一行字符,并在其中传入不受信任的值。
CVE-2022-24775 MPS-2022-3742
2022-08-08 18:58
Guzzle 信息泄露漏洞
信息暴露
Guzzle是guzzlehttp个人开发者的一个 PHP HTTP 客户端,可以轻松发送 HTTP 请求并轻松与 Web 服务集成。 Guzzle 7.0.0版本至7.4.3版本,以及6.5.6之前的版本存在信息泄露漏洞,该漏洞允许恶意服务器为不相关的域设置cookie,攻击者可以利用该漏洞从Guzzle 客户端登录到他们的帐户,并从其帐户的安全日志中检索私有 API 请求。
CVE-2022-29248 MPS-2022-8649
2022-08-08 18:58
Laravel 安全漏洞
反序列化
Laravel是Laravel 团队(Laravel)的一个Web 应用程序框架。 Laravel 9.1.8 版本存在安全漏洞,该漏洞源于在处理攻击者控制的反序列化数据时,可以执行远程代码。
CVE-2022-30778 MPS-2022-10162
2022-08-08 18:58
Guzzle 信息泄露漏洞
信息暴露
Guzzle是guzzlehttp个人开发者的一个 PHP HTTP 客户端,可以轻松发送 HTTP 请求并轻松与 Web 服务集成。 Guzzle 6.5.6及之前版本、7.0.0 到 7.4.3 版本中存在信息泄露漏洞,该漏洞源于Cookie请求的标头是敏感信息,在向服务器发出请求时,该服务器会重定向到另一个主机来响应,Cookie标头也会被转发。
CVE-2022-31042 MPS-2022-11072
2022-08-08 18:58
Guzzle 信息泄露漏洞
授权机制不正确
Guzzle是guzzlehttp个人开发者的一个 PHP HTTP 客户端,可以轻松发送 HTTP 请求并轻松与 Web 服务集成。 Guzzle 6.5.6及之前版本、7.0.0 到 7.4.3 版本中存在信息泄露漏洞,该漏洞源于请求的标头是敏感信息,在向服务器发出请求时,该服务器会重定向到另一个主机来响应,Authorization标头也会被转发。
CVE-2022-31043 MPS-2022-11073
2022-08-08 18:58
Guzzle 安全漏洞
信息暴露
Guzzle是guzzlehttp个人开发者的一个 PHP HTTP 客户端,可以轻松发送 HTTP 请求并轻松与 Web 服务集成。 Guzzle 存在安全漏洞,该漏洞源于CURLOPT_HTTPAUTH选项存在问题。攻击者利用漏洞可以绕过数据访问限制,读取敏感数据。
CVE-2022-31090 MPS-2022-11120
2022-08-08 18:58
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
1 评论
31 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部